---
title: HTMLMediaElement.currentTime
slug: Web/API/HTMLMediaElement/currentTime
tags:
  - API
  - Audio
  - HTML DOM
  - HTMLMediaElement
  - Media
  - Property
  - Time
  - Video
  - Web
  - currentTime
  - offset
  - seconds
  - seek
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The {{domxref("HTMLMediaElement")}} interface's <code><strong>currentTime</strong></code> property specifies the current playback time in seconds.</span> Changing the value of <code>currentTime</code> seeks the media to the new time.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>currentTime</em> = <em>htmlMediaElement</em>.currentTime;
<em>htmlMediaElement</em>.currentTime = 35;
</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point value indicating the current playback time in seconds.</p>

<p>If the media is not yet playing, the value of <code>currentTime</code> indicates the time position within the media at which playback will begin once the {{domxref("HTMLMediaElement.play", "play()")}} method is called.</p>

<p>Setting <code>currentTime</code> to a new value seeks the media to the given time, if the media is available.</p>

<p>For media without a known duration—such as media being streamed live—it's possible that the browser may not be able to obtain parts of the media that have expired from the media buffer. Also, media whose timeline doesn't begin at 0 seconds cannot be seeked to a time before its timeline's earliest time.</p>

<p>The length of the media in seconds can be determined using the {{domxref("HTMLMediaElement.duration", "duration")}} property.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">var video = document.createElement('video');
console.log(video.currentTime);
</pre>

<h2 id="Usage_notes">Usage notes</h2>

<h3 id="Reduced_time_precision">Reduced time precision</h3>

<p>To offer protection against timing attacks and fingerprinting, browsers may round or otherwise adjust the value returned by <code>currentTime</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "embedded-content.html#dom-media-currenttime", "HTMLMediaElement.currentTime")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('HTML5 W3C')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.currentTime")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.currentTime")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
 <li>{{domxref("HTMLMediaElement.fastSeek()")}}: Another way to set the time</li>
 <li>{{domxref("HTMLMediaElement.duration")}}: The duration of the media in seconds</li>
</ul>
